<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS Change Button Text</title>
		
	    <!-- AngularJs File -->
	    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.2/angular.min.js"></script>
	    
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css">
	    
	    <script type="text/javascript">	    	
		    var myapp = angular.module('app', []);
		    myapp.controller('myctrl', ['$scope', function ($scope) {
		    	
		    	$scope.btnText = 'Add';		    	
		    	$scope.changeText = function() {
		    	    $scope.btnText = 'Please Wait...';
		    	};
		    }]);
	    </script>
	</head>
	<body>
	    <div id="angularChangeText" class="container">
	        <h1 align="center" class="text-primary">AngularJS - Change Button Text Example</h1>
	        <hr />
		        
	        <div ng-app="app" ng-controller="myctrl">
	        	<h3 id="header_msg" class="text-warning">A demo to change the <em>button text</em> in AngularJS!</h3>
	            <div>&nbsp;</div>
	        	
	        	<button type="button" class="btn btn-outline-primary" ng-click="changeText()">{{ btnText }}</button>                
	        </div>
	    </div>
	</body>
</html>